Bug 852106 - rhevm installation: Local nfs iso export should not default to /usr/local/exports/iso or anywhere else under a system /usr
rhevm installation: Local nfs iso export should not default to /usr/local/ex...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Juan Hernández
Pavel Stehlik
integration
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-27 12:04 EDT by Simon Grinberg
Modified: 2013-07-28 20:02 EDT (History)
9 users (show)

See Also:
Fixed In Version: si18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:01:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon Grinberg 2012-08-27 12:04:04 EDT
Description of problem:

From bug 847833#c13
"Another thing that I just noticed, after looking at the logs again, was that we're exporting /usr/local/exports/iso as r/w. IMHO exporting anything in /usr as r/w is a bad idea.  If the installer is going to set up an export for /usr it should be 'read' only and not r/w.  R/W should be in /var or something."


Expected results:

Create the export according best practice
Comment 1 Itamar Heim 2012-08-27 12:40:31 EDT
if doing this, need to consider upgrade implications
Comment 2 Juan Hernández 2012-08-27 14:11:02 EDT
This is just the default value that we suggest during installation, before that we didn't suggest anything. So from the upgrade point of view there shouldn't be any additional implication: the upgrade must support any directory, as the user can choose any directory.

I agree that we should suggest something outside of /usr and that something under /var makes more sense. What about /var/lib/ovirt-engine/exports? We already put other variable data under /var/lib/ovirt-engine, and we create and track that directory as part of the RPMs.
Comment 3 Alon Bar-Lev 2012-08-27 14:28:03 EDT
I don't think this should be under /var/lib/ovirt-engine, too sensitive. Better /var/lib/exports/XXXX.
Comment 4 Juan Hernández 2012-08-29 05:19:45 EDT
If we all agree that /var/lib/exports is better than /usr/local/exports then the following change can fix it:

http://gerrit.ovirt.org/7563
Comment 5 Simon Grinberg 2012-08-29 05:56:24 EDT
(In reply to comment #4)
> If we all agree that /var/lib/exports is better than /usr/local/exports then
> the following change can fix it:
> 
> http://gerrit.ovirt.org/7563

+1
Comment 6 Juan Hernández 2012-08-29 07:16:15 EDT
The proposed change has been merged upstream:

http://gerrit.ovirt.org/gitweb?p=ovirt-engine.git;a=commit;h=dcd746d6e4faf9fac5cf1894ab6896aef4541b48
Comment 8 Pavel Stehlik 2012-09-13 09:24:37 EDT
ok - si18

Note You need to log in before you can comment on or make changes to this bug.